Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.servlet
Class ReachHostServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--uk.co.westhawk.servlet.ReachHostServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ReachHostServlet
extends javax.servlet.http.HttpServlet

The ReachHostServlet servlet uses the IsHostReachableBean to see if a host is reachable.

It will hold the connection until it has received the information. Then it will print the date the host went up, following by a nice HTML form which makes it easier to do a next request.

This servlet should be installed on a Java bases webserver. The parameters should be a part of the URL. If no parameters are send, the servlet will use the default values.

Parameters:
- host - the host, default is your localhost
- port - the port, default 161
- comm - the community name, default public

For example:

         http:<servlet URL>?host=localhost&port=161&comm=public

Some general information about servlets.

Version:
  $Revision: 3.7 $ $Date: 2002/10/22 16:41:14 $
Author:
  Birgit Arkesteijn
See Also:
  `SNMPBean`, Serialized Form

Constructor Summary
`ReachHostServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected long` | `getLastModified(javax.servlet.http.HttpServletRequest req)`
`java.lang.String` | `getServletInfo()`
`void` | `init(javax.servlet.ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReachHostServlet

    public ReachHostServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse res)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

### getLastModified

    protected long getLastModified(javax.servlet.http.HttpServletRequest req)

  Overrides:
    `getLastModified` in class `javax.servlet.http.HttpServlet`

### getServletInfo

    public java.lang.String getServletInfo()

  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD